Bug 103755 - Evolution won't start after logging out with evolution open
Evolution won't start after logging out with evolution open
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: oaf (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 12:53 EDT by Steve Bergman
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-09 00:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bergman 2003-09-04 12:53:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
This bug seems quite similar to the RH8.0 bug: 76366

If evolution is running and the user just logs out, an oafd process remains
running and if they then log back in and try to open evolution it complains that
it can't find the configuration database and won't come up.  (Sorry I'm not more
specific about the error.  I'm reporting this for a nontechnical third party and
am not at the machine.)

This may or may not happen every time, but is at least quite frequent.  After
seeing bug 76366, I oaf-slay'd it, had him log back in, bring up evolution,
minimize it, and log out.  He logged back in the problem was reproduced.  Killed
the oafd process and it worked again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open evolution.
2.minimize (may or may not be necessary)
3.Log out.
4.Log back in.
5.Try to open evolution.
    

Actual Results:  Message indicating that it can't find (open?) the configuration
database.

Expected Results:  Evolution comes up successfully. 

Additional info:

This is a week old "everything" install updated to all the latest packages from
up2date.  The only thing that is not stock is the vanilla 2.4.21 kernel compiled
with the RH9 provided i686 .config file with the addition of the linux-abi patch
which the customer requires for a report writer they use.  No other patches,
Redhat or otherwise are applied.

However, I'm quite certain that I observed this behavior when I was running RH9
completely stock.  I still have a RH9 partition and will try to reproduce here.
Comment 1 Jeremy Katz 2003-09-04 12:57:04 EDT
This is a "happens sometimes" sort of things and is an oaf bug, not evolution's
doing.
Comment 2 Steve Bergman 2003-09-04 14:41:29 EDT
From what I gather a few similar problems have been previously reported and the
bug filed upsteam with bugzilla.gnome.org and seems inactive there.

It seems readily reproducable on the machine in question, which I will have
physical access to tomorrow. (Hard to reproduce via VNC.)  Anything I need to
check and report while I'm there?

Also, I guess a workaround for now would be to put an oafslay somewhere where it
executes as the user before the desktop comes up.

So would that be in /etc/X11/gdm/PreSession/Default?  I never can remember that
whole set of chain of events that lives under /etc/X11... 
Comment 3 Michael Lee Yohe 2003-09-04 17:38:36 EDT
I think this is related more to Bug 102554.  If I logout, re-login - I can
reproduce your problem.  However, if I "evolution --force-shutdown" or use
"killev", the problem goes away.
Comment 4 Havoc Pennington 2003-10-09 00:10:39 EDT
May be better in evolution 1.4. If not best course is probably a
bugzilla.gnome.org bug vs. component bonobo-activation (oaf is fairly
old/unmaintained at this point). Or alternately bugzilla.ximian.com evolution bug.

Note You need to log in before you can comment on or make changes to this bug.